読者です 読者をやめる 読者になる 読者になる

min117の日記

初期desireもち。趣味Mac,メインFedora,仕事xp。

RaspberryPi(初代)に HandBrakeCLI をインストールしてDVD吸い出し&mp4にエンコードする → 失敗

 

運動会のDVDをiPhoneで見れるようにしてくれない?と頼まれた。HandBrakeでmp4動画にエンコードしてしまえばいい。

エンコードには数時間かかるので、デスクトップPCやノートPCでやらせると、電気代が無駄。こういう時こそ、消費電力がスマホ並の raspberrypi にやらせる。

ーーー

f:id:min117:20161127080758p:plain

f:id:min117:20161127080809p:plain

f:id:min117:20161127080833p:plain

 

必要なパッケージのインストール。

$ sudo apt-get -y install subversion yasm build-essential autoconf libtool zlib1g-dev libbz2-dev libfribidi-dev intltool libglib2.0-dev libdbus-glib-1-dev libgtk2.0-dev libgudev-1.0-dev libwebkit-dev libnotify-dev libgstreamer0.10-dev libgstreamer-plugins-base0.10-dev  libass-dev libtheora-dev libvorbis-dev libogg-dev libsamplerate-dev

f:id:min117:20161127072656p:plain

f:id:min117:20161127073042p:plain

エラーになったので、案内どおりに apt-get update してみる。

$ sudo apt-get -y update

f:id:min117:20161127073143p:plain

f:id:min117:20161127073456p:plain

もう一度インストール。

sudo apt-get -y install subversion yasm build-essential autoconf libtool zlib1g-dev libbz2-dev libfribidi-dev intltool libglib2.0-dev libdbus-glib-1-dev libgtk2.0-dev libgudev-1.0-dev libwebkit-dev libnotify-dev libgstreamer0.10-dev libgstreamer-plugins-base0.10-dev  libass-dev libtheora-dev libvorbis-dev libogg-dev libsamplerate-dev

f:id:min117:20161127073624p:plain

RaspberryPiも、初代だとCPUがかなり非力なせいかインストールに時間がかかる。しばらくほっておく。

ーーー

参考サイトのとおりにファイルを書き換えして make したけど、pythonがエラー吐いてる。ログもなくて調べようもない。RaspberryPi(初代)でのインストールは諦めた。

RaspberryPi3 に続く。

min117.hatenablog.com

 

参考サイト

stblog.satsumablog.com